Subject: Re: linux-next: build warning after merge of the arm-perf tree

From: Ilkka Koskinen <[email-masked]>
Date: Thu, 12 Oct 2023 01:19:41 -0700 (PDT)

On Wed, 11 Oct 2023, Stephen Rothwell wrote:
> Hi all,
>
> After merging the arm-perf tree, today's linux-next build (htmldocs)
> produced this warning:
>
> Documentation/admin-guide/perf/ampere_cspmu.rst: WARNING: document isn't included in any toctree
>
> Introduced by commit
>
>  53a810ad3c5c ("perf: arm_cspmu: ampere_cspmu: Add support for Ampere SoC PMU")

Thanks Stephen for catching another bug!

Will, it seems that I had made another stupid bug in the same patch. This 
time I hadn't added the ampere cspmu document to perf toctree. I submitted 
a fix for it:

 	https://lore.kernel.org/all/[email-masked]/

Could you apply the patch or merge it with the ampere cspmu patch, 
whichever you prefer?

Cheers, Ilkka